Index: orxonox/branches/parenting/src/Makefile.am
===================================================================
--- orxonox/branches/parenting/src/Makefile.am	(revision 3356)
+++ orxonox/branches/parenting/src/Makefile.am	(revision 3357)
@@ -35,5 +35,6 @@
 		 track_manager.cc \
 		 matrix.cc \
-		 curve.cc
+		 curve.cc \
+		 glmenu_imagescreen.cc
 
 
@@ -75,5 +76,6 @@
 		 track_manager.h \
 		 matrix.h \
-		 curve.h
+		 curve.h \
+		 glmenu_imagescreen.h
 
 
Index: orxonox/branches/parenting/src/Makefile.in
===================================================================
--- orxonox/branches/parenting/src/Makefile.in	(revision 3356)
+++ orxonox/branches/parenting/src/Makefile.in	(revision 3357)
@@ -63,5 +63,5 @@
 	p_node.$(OBJEXT) null_parent.$(OBJEXT) base_object.$(OBJEXT) \
 	helper_parent.$(OBJEXT) track_manager.$(OBJEXT) \
-	matrix.$(OBJEXT) curve.$(OBJEXT)
+	matrix.$(OBJEXT) curve.$(OBJEXT) glmenu_imagescreen.$(OBJEXT)
 orxonox_OBJECTS = $(am_orxonox_OBJECTS)
 orxonox_LDADD = $(LDADD)
@@ -77,4 +77,5 @@
 @AMDEP_TRUE@	./$(DEPDIR)/environment.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/game_loader.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/glmenu_imagescreen.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/helper_parent.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/ini_parser.Po ./$(DEPDIR)/keynames.Po \
@@ -232,5 +233,6 @@
 		 track_manager.cc \
 		 matrix.cc \
-		 curve.cc
+		 curve.cc \
+		 glmenu_imagescreen.cc
 
 noinst_HEADERS = ability.h \
@@ -271,5 +273,6 @@
 		 track_manager.h \
 		 matrix.h \
-		 curve.h
+		 curve.h \
+		 glmenu_imagescreen.h
 
 EXTRA_DIST = orxonox.conf
@@ -360,4 +363,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/environment.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/game_loader.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glmenu_imagescreen.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/helper_parent.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ini_parser.Po@am__quote@
Index: orxonox/branches/parenting/src/glmenu_imagescreen.cc
===================================================================
--- orxonox/branches/parenting/src/glmenu_imagescreen.cc	(revision 3357)
+++ orxonox/branches/parenting/src/glmenu_imagescreen.cc	(revision 3357)
@@ -0,0 +1,97 @@
+
+
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Patrick Boenzli
+   co-programmer: 
+*/
+
+
+#include "glmenu_imagescreen.h"
+
+
+using namespace std;
+
+
+/**
+   \brief standard constructor
+
+   \todo this constructor is not jet implemented - do it
+*/
+GLMenuImageScreen::GLMenuImageScreen () 
+{
+   this->setClassName ("GLMenuImageScreen");
+}
+
+
+/**
+   \brief standard deconstructor
+
+   \todo this deconstructor is not jet implemented - do it
+*/
+GLMenuImageScreen::~GLMenuImageScreen () {}
+
+
+/**
+   \brief function to init the screen
+*/
+void GLMenuImageScreen::init ()
+{}
+
+
+/**
+   \brief function to innit screen with all attributes set
+   \param name of the background-image file
+   \param height of the ImageScreen
+   \param width of the Image Screen
+   \param x offset from (0, 0)
+   \param y offset from (0, 0)
+
+   GLMenu uses its own coordinating system: upper left corner is (0, 0). x-axis is down=height, 
+   right axis is right direction (=width)
+*/
+void GLMenuImageScreen::init (char* backImageName, float height, float width, 
+			      float offsetX, float offsetY)
+{}
+
+
+/**
+   \brief draws the ImageScreen to the screenbuffer
+*/
+void GLMenuImageScreen::draw ()
+{}
+
+ 
+/** 
+    \brief sets the background image name
+    \param file name of the backgroun-image
+ */
+void GLMenuImageScreen::setBackImageName (char* backImageName)
+{}
+
+
+/**
+   \brief sets position of the ImageScreen
+   \param x offset from (0, 0)
+   \param y offset from (0, 0)
+*/
+void GLMenuImageScreen::setPosition(float offsetX, float offsetY)
+{}
+
+
+/*
+  \brief sets size of the ImageScreen
+  \param height of the ImageScreen
+  \param width of the Image Screen
+*/
+void GLMenuImageScreen::setSize(float height, float width)
+{}
Index: orxonox/branches/parenting/src/glmenu_imagescreen.h
===================================================================
--- orxonox/branches/parenting/src/glmenu_imagescreen.h	(revision 3357)
+++ orxonox/branches/parenting/src/glmenu_imagescreen.h	(revision 3357)
@@ -0,0 +1,36 @@
+/*! 
+    \file glmenu_imagescreen
+    \brief class to display a image
+*/
+
+
+#ifndef _GLMENU_IMAGESCREEN_H
+#define _GLMENU_IMAGESCREEN_H
+
+#include "stdincl.h"
+
+
+class GLMenuImageScreen : public BaseObject {
+
+ public:
+  GLMenuImageScreen ();
+  ~GLMenuImageScreen ();
+
+  void init ();
+  void init (char* backImageName, float height, float width, 
+	     float offsetX, float offsetY);
+
+  void draw ();
+  
+  void setBackImageName (char* backImageName);
+  void setPosition(float offsetX, float offsetY);
+  void setSize(float height, float width);
+
+ private:
+  char* backImageName;  //! the name of the file of the background image
+  float height, width;
+  float offsetX, offsetY;
+
+};
+
+#endif /* _GLMENU_IMAGESCREEN_H */