Index: data/worlds/DefaultWorld.oxw
===================================================================
--- data/worlds/DefaultWorld.oxw	(revision 3424)
+++ data/worlds/DefaultWorld.oxw	(revision 3425)
@@ -34,6 +34,6 @@
    <SavePoint/>
    <Point>700,50,0</Point>
-   <Duration>20</Duration>
-   <Fork>Desert,City</Fork>
+   <Duration>1</Duration>
+   <Fork>Desert,Metal</Fork>
 
    <WorkOn>Desert</WorkOn>
@@ -41,20 +41,28 @@
    <Point>1300,50,-400</Point>
    <Point>2300,50,-400</Point>
-   <Point>3000,50,-200</Point>
-   <Point>3700,50,60</Point>
-   <Point>4400,50,140</Point>
-   <Point>5000,50,150</Point>
+   <Point>3000,50,-250</Point>
+   <Point>3700,50,0</Point>
+   <Point>4400,50,100</Point>
+   <Point>5000,50,90</Point>
    <Duration>10</Duration>
 
+   <WorkOn>Metal</WorkOn>
+   <Point>1000,50,0</Point>
+   <Point>1400,150,500</Point>
+   <Point>2000,100,750</Point>
+   <Point>2300,140,1000</Point>
+   <Point>2600,150,1100</Point>
+   <Duration>8</Duration>
+   <SavePoint>City</SavePoint>
    <WorkOn>City</WorkOn>
-   <Point>1000,50,0</Point>
-   <Point>1400,50,500</Point>
-   <Point>2000,50,750</Point>
-   <Point>2700,140,1000</Point>
-   <Point>2900,160,1100</Point>
-   <Point>3100,160,1130</Point>
-   <Point>3800,100,1000</Point>
-   <Point>4200,50,750</Point>
-   <Duration>10</Duration>
+   <Point>2700,200,1150</Point>
+   <Point>3000,200,1130</Point>
+   <Point>3100,200,1150</Point>
+   <Point>3200,200,1150</Point>
+   <Point>3300,200,1140</Point>
+   <Point>3400,200,1130</Point>
+   <Point>3800,120,1000</Point>
+   <Point>4200,1500,750</Point>
+   <Duration>8</Duration>
    <Join>Desert,City</Join>
  </Track>
Index: data/worlds/World2.oxw
===================================================================
--- data/worlds/World2.oxw	(revision 3424)
+++ data/worlds/World2.oxw	(revision 3425)
@@ -23,34 +23,54 @@
   </WorldEntities>
   <Track>
-    <Point>0.0,0.0,0.0</Point>
-    <Point>12.0,40.0,0.0</Point>
-    <Point>-12.0,80.0,0.0</Point>
-    <Point>12.0,120.0,0.0</Point>
-    <Point>-12.0,160.0,0.0</Point>
-    <Point>12.0,200.0,0.0</Point>
-    <Duration>120</Duration>
-    <SavePoint/>
-    <Point>0.0,250.0,20.0</Point>
-    <Point>0.0,300.0,50.0</Point>
-    <Fork>A,B,C</Fork>
-    <WorkOn>A</WorkOn>
-    <Point>15.0,300.0,40.0</Point>
-    <Point>50.0,350.0,25.0</Point>
-                <Point>15.0,400.0,30.0</Point>
-    <Duration>120</Duration>
-    <WorkOn>B</WorkOn>
-    <Point>-15.0,300.0,40.0</Point>
-    <Point>-5.0,350.0,60.0</Point>
-                <Point>15.0,400.0,30.0</Point>
-    <Duration>120</Duration>
-    <WorkOn>C</WorkOn>
-    <Point>0.0,300.0,75.0</Point>
-    <Point>0.0,350.0,125.0</Point>
-                <Point>0.0,400.0,66.0</Point>
-    <Duration>120</Duration>
-    <Join>A,B,C</Join>
-                <Point>0.0,450.0,0.0</Point>
-                <Point>0.0,500.0,0.0</Point>
-    <Duration>25</Duration>
+     <Point>150,-35,5</Point>
+     <Point>200,-35,5</Point>
+     <Point>250,-35,5</Point>
+     <Point>320,-33,-.55</Point>
+     <Duration>3</Duration>
+     <SavePoint>test</SavePoint>
+
+      <Point>410,0,0</Point>
+      <Point>510,20,-10</Point>
+      <Point>550,20,-10</Point>
+      <Point>570,20,-10</Point>
+      <Duration>5</Duration>
+
+      <Fork>testFork1,testFork2</Fork>
+      <WorkOn>testFork1</WorkOn>
+      <Point>640,25,-30</Point>
+      <Point>700,40,-120</Point>
+      <Point>800,50,-150</Point>
+      <Point>900,60,-100</Point>
+      <Point>900,60,-70</Point>
+      <Point>990,65,-15</Point>
+      <Point>1050,65,-10</Point>
+      <Point>1100,65,-20</Point>
+      <Duration>8</Duration>
+
+      <WorkOn>testFork2</WorkOn>
+      <Point>640,25,20</Point>
+      <Point>670,50,120</Point>
+      <Point>700,70,80</Point>
+      <Point>800,70,65</Point>
+      <Point>850,65,65</Point>
+      <Point>920,35,40</Point>
+      <Point>945,40,40</Point>
+      <Point>970,24,40</Point>
+      <Point>1000,40,-7</Point>
+      <Duration>8</Duration>
+
+
+      <Join>testFork1,testFork2</Join>
+
+      <Point>1200,60,-50</Point>
+      <Point>1300,50,-50</Point>
+      <Point>1400,40,-50</Point>
+      <Point>1500,40,-60</Point>
+      <Point>1600,35,-55</Point>
+      <Point>1700,45,-40</Point>
+      <Point>1750,60,-40</Point>
+      <Point>1770,80,-40</Point>
+      <Point>1800,100,-40</Point>
+      <Duration>10</Duration>
  </Track>
 </WorldDataFile>