Index: data/models/Rocket1.mtl
===================================================================
--- data/models/Rocket1.mtl	(revision 3449)
+++ 	(revision )
@@ -1,12 +1,0 @@
-newmtl initialShadingGroup
-illum 4
-Kd 0.50 0.50 0.50
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-newmtl lambert2SG
-illum 4
-Kd 0.50 0.50 0.50
-Ka 0.00 0.00 0.00
-Tf 0.25 0.25 0.25
-Ni 1.00
Index: data/models/bolido.mtl
===================================================================
--- data/models/bolido.mtl	(revision 3449)
+++ 	(revision )
@@ -1,21 +1,0 @@
-newmtl blinn1SG
-illum 4
-Kd 0.00 0.09 1.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-newmtl blinn2SG
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-newmtl blinn3SG
-illum 4
-Kd 0.00 0.75 0.10
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
Index: data/models/fighter.mtl
===================================================================
--- data/models/fighter.mtl	(revision 3449)
+++ 	(revision )
@@ -1,56 +1,0 @@
-newmtl Back
-illum 4
-Kd 1.00 0.13 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-newmtl Cocpit
-illum 4
-Kd 0.00 0.66 1.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-newmtl Front_Pads
-illum 4
-Kd 0.61 0.23 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-newmtl Head_down
-illum 4
-Kd 0.81 0.38 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-newmtl Wing_Pad_down
-illum 4
-Kd 0.50 0.17 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-newmtl Wing_Pads
-illum 4
-Kd 0.71 0.02 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-newmtl Wing_down_in
-illum 4
-Kd 1.00 0.47 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-newmtl lambert2SG
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
Index: data/models/guns/test_gun.mtl
===================================================================
--- data/models/guns/test_gun.mtl	(revision 3450)
+++ data/models/guns/test_gun.mtl	(revision 3450)
@@ -0,0 +1,122 @@
+newmtl Back
+illum 4
+Kd 1.00 0.13 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl Fenetre
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.00 0.18 1.00
+Ns 0.06
+newmtl Fire
+illum 4
+Kd 0.00 0.98 1.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
+newmtl Head_Pad
+illum 4
+Kd 0.00 0.02 0.45
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl Lower_Pads
+illum 4
+Kd 0.00 0.37 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl Middle_pads
+illum 4
+Kd 0.00 0.20 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl Schnitze
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl Top_Pads1
+illum 4
+Kd 0.00 0.01 0.47
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl Wing_Pads
+illum 4
+Kd 0.71 0.02 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl Wing_Top_pads
+illum 4
+Kd 0.12 0.02 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl Wing_lower_pads
+illum 4
+Kd 0.00 0.55 1.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl initialShadingGroup
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl lambert2SG1
+illum 4
+Kd 1.00 1.00 1.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
+newmtl lambert2SG3
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl lambert10SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.00 0.00 0.00
+Ni 1.00
+newmtl lambert11SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.00 0.00 0.00
+Ni 1.00
Index: data/models/guns/turret1.mtl
===================================================================
--- data/models/guns/turret1.mtl	(revision 3450)
+++ data/models/guns/turret1.mtl	(revision 3450)
@@ -0,0 +1,29 @@
+newmtl blinn1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn2SG
+illum 4
+Kd 0.71 0.02 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn3SG
+illum 4
+Kd 1.00 0.93 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn4SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd orxonox-rocket.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
Index: data/models/orx-rocket.mtl
===================================================================
--- data/models/orx-rocket.mtl	(revision 3449)
+++ 	(revision )
@@ -1,15 +1,0 @@
-newmtl Fire
-illum 4
-Kd 1.00 0.02 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-newmtl Ground
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-map_Kd orxonox-rocket.jpg
-Ni 1.00
-Ks 1.00 0.30 0.06
Index: data/models/projectiles/Rocket1.mtl
===================================================================
--- data/models/projectiles/Rocket1.mtl	(revision 3450)
+++ data/models/projectiles/Rocket1.mtl	(revision 3450)
@@ -0,0 +1,12 @@
+newmtl initialShadingGroup
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl lambert2SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.25 0.25 0.25
+Ni 1.00
Index: data/models/projectiles/orx-rocket.mtl
===================================================================
--- data/models/projectiles/orx-rocket.mtl	(revision 3450)
+++ data/models/projectiles/orx-rocket.mtl	(revision 3450)
@@ -0,0 +1,15 @@
+newmtl Fire
+illum 4
+Kd 1.00 0.02 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Ground
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd orxonox-rocket.jpg
+Ni 1.00
+Ks 1.00 0.30 0.06
Index: data/models/projectiles/test_projectile.mtl
===================================================================
--- data/models/projectiles/test_projectile.mtl	(revision 3450)
+++ data/models/projectiles/test_projectile.mtl	(revision 3450)
@@ -0,0 +1,8 @@
+newmtl initialShadingGroup1
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
Index: data/models/reaplow.mtl
===================================================================
--- data/models/reaplow.mtl	(revision 3449)
+++ 	(revision )
@@ -1,74 +1,0 @@
-newmtl Fenetre
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.00 0.18 1.00
-newmtl Fire
-illum 4
-Kd 0.00 0.98 1.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-newmtl Head_Pad
-illum 4
-Kd 0.00 0.02 0.45
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-newmtl Lower_Pads
-illum 4
-Kd 0.00 0.37 0.50
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-newmtl Middle_pads
-illum 4
-Kd 0.00 0.20 0.50
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-newmtl Schnitze
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-newmtl Top_Pads1
-illum 4
-Kd 0.00 0.01 0.47
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-newmtl Wing_Top_pads
-illum 4
-Kd 0.12 0.02 0.50
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-newmtl Wing_lower_pads
-illum 4
-Kd 0.00 0.55 1.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-newmtl lambert2SG
-illum 4
-Kd 1.00 1.00 1.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-newmtl lambert5SG
-illum 4
-Kd 0.50 0.50 0.50
-Ka 0.00 0.00 0.00
-Tf 0.00 0.00 0.00
-Ni 1.00
Index: data/models/ships/bolido.mtl
===================================================================
--- data/models/ships/bolido.mtl	(revision 3450)
+++ data/models/ships/bolido.mtl	(revision 3450)
@@ -0,0 +1,21 @@
+newmtl blinn1SG
+illum 4
+Kd 0.00 0.09 1.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn3SG
+illum 4
+Kd 0.00 0.75 0.10
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
Index: data/models/ships/fighter.mtl
===================================================================
--- data/models/ships/fighter.mtl	(revision 3450)
+++ data/models/ships/fighter.mtl	(revision 3450)
@@ -0,0 +1,56 @@
+newmtl Back
+illum 4
+Kd 1.00 0.13 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Cocpit
+illum 4
+Kd 0.00 0.66 1.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Front_Pads
+illum 4
+Kd 0.61 0.23 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Head_down
+illum 4
+Kd 0.81 0.38 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Wing_Pad_down
+illum 4
+Kd 0.50 0.17 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Wing_Pads
+illum 4
+Kd 0.71 0.02 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Wing_down_in
+illum 4
+Kd 1.00 0.47 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl lambert2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
Index: data/models/ships/reaplow.mtl
===================================================================
--- data/models/ships/reaplow.mtl	(revision 3450)
+++ data/models/ships/reaplow.mtl	(revision 3450)
@@ -0,0 +1,74 @@
+newmtl Fenetre
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.00 0.18 1.00
+newmtl Fire
+illum 4
+Kd 0.00 0.98 1.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl Head_Pad
+illum 4
+Kd 0.00 0.02 0.45
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Lower_Pads
+illum 4
+Kd 0.00 0.37 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Middle_pads
+illum 4
+Kd 0.00 0.20 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Schnitze
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Top_Pads1
+illum 4
+Kd 0.00 0.01 0.47
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Wing_Top_pads
+illum 4
+Kd 0.12 0.02 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Wing_lower_pads
+illum 4
+Kd 0.00 0.55 1.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl lambert2SG
+illum 4
+Kd 1.00 1.00 1.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl lambert5SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.00 0.00 0.00
+Ni 1.00
Index: data/models/test_gun.mtl
===================================================================
--- data/models/test_gun.mtl	(revision 3449)
+++ 	(revision )
@@ -1,122 +1,0 @@
-newmtl Back
-illum 4
-Kd 1.00 0.13 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-Ns 0.06
-newmtl Fenetre
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.00 0.18 1.00
-Ns 0.06
-newmtl Fire
-illum 4
-Kd 0.00 0.98 1.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.30 0.30 0.30
-Ns 0.06
-newmtl Head_Pad
-illum 4
-Kd 0.00 0.02 0.45
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-Ns 0.06
-newmtl Lower_Pads
-illum 4
-Kd 0.00 0.37 0.50
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-Ns 0.06
-newmtl Middle_pads
-illum 4
-Kd 0.00 0.20 0.50
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-Ns 0.06
-newmtl Schnitze
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-Ns 0.06
-newmtl Top_Pads1
-illum 4
-Kd 0.00 0.01 0.47
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-Ns 0.06
-newmtl Wing_Pads
-illum 4
-Kd 0.71 0.02 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-Ns 0.06
-newmtl Wing_Top_pads
-illum 4
-Kd 0.12 0.02 0.50
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-Ns 0.06
-newmtl Wing_lower_pads
-illum 4
-Kd 0.00 0.55 1.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-Ns 0.06
-newmtl initialShadingGroup
-illum 4
-Kd 0.50 0.50 0.50
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-newmtl lambert2SG1
-illum 4
-Kd 1.00 1.00 1.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.30 0.30 0.30
-Ns 0.06
-newmtl lambert2SG3
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-Ns 0.06
-newmtl lambert10SG
-illum 4
-Kd 0.50 0.50 0.50
-Ka 0.00 0.00 0.00
-Tf 0.00 0.00 0.00
-Ni 1.00
-newmtl lambert11SG
-illum 4
-Kd 0.50 0.50 0.50
-Ka 0.00 0.00 0.00
-Tf 0.00 0.00 0.00
-Ni 1.00
Index: data/models/test_projectile.mtl
===================================================================
--- data/models/test_projectile.mtl	(revision 3449)
+++ 	(revision )
@@ -1,8 +1,0 @@
-newmtl initialShadingGroup1
-illum 4
-Kd 0.50 0.50 0.50
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.30 0.30 0.30
-Ns 0.06
Index: data/models/turret1.mtl
===================================================================
--- data/models/turret1.mtl	(revision 3449)
+++ 	(revision )
@@ -1,29 +1,0 @@
-newmtl blinn1SG
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-newmtl blinn2SG
-illum 4
-Kd 0.71 0.02 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-newmtl blinn3SG
-illum 4
-Kd 1.00 0.93 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-Ks 0.50 0.50 0.50
-newmtl blinn4SG
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-map_Kd orxonox-rocket.jpg
-Ni 1.00
-Ks 0.50 0.50 0.50