Index: data/trunk/worlds/christmas.oxw
===================================================================
--- data/trunk/worlds/christmas.oxw	(revision 3565)
+++ data/trunk/worlds/christmas.oxw	(revision 3568)
@@ -9,4 +9,6 @@
     <BarImage>pictures/load_screen_bar_christmas.png</BarImage>
   </LoadScreen>
+
+
   <WorldEntities>
     <MD2Creature>
@@ -108,7 +110,4 @@
 
 
-    
-
-
 
     <SkyBox>
@@ -126,5 +125,5 @@
 
 
-   <ParticleSystem>
+   <SpriteParticles>
      <name>SnowFlakeSystem</name>
      <type>sprite</type>
@@ -139,21 +138,19 @@
      <color>.5, .6, .6, .6, .2</color>
      <color>1, .0, .0, .0, .0</color>
-   </ParticleSystem>
-   <ParticleEmitter>
-    <name>SnowFlakeEmitter</name>
-    <emission-direction>0,-1,0</emission-direction>
-    <type>plane</type>
-    <spread>0,.3</spread>
-    <emission-velocity>150,50</emission-velocity>
-    <size>1200</size>
-    <rate>900</rate>
-    <rel-coor>0, 500, -600</rel-coor>
-   </ParticleEmitter>
+     <emitters>
+      <ParticleEmitter>
+        <name>SnowFlakeEmitter</name>
+        <emission-direction>0,-1,0</emission-direction>
+        <type>plane</type>
+        <spread>0,.3</spread>
+        <emission-velocity>150,50</emission-velocity>
+        <size>1200</size>
+        <rate>900</rate>
+        <rel-coor>0, 500, -600</rel-coor>
+      </ParticleEmitter>
+     </emitters>
+  </SpriteParticles>
+
   </WorldEntities>
-
-
-  <ParticleEngine>
-   <connect>SnowFlakeEmitter, SnowFlakeSystem</connect>
-  </ParticleEngine>
 
   <LightManager>
Index: data/trunk/worlds/vulcania.oxw
===================================================================
--- data/trunk/worlds/vulcania.oxw	(revision 3565)
+++ data/trunk/worlds/vulcania.oxw	(revision 3568)
@@ -26,26 +26,26 @@
     </Terrain>
 
-    <ParticleSystem>
+    <ModelParticles>
       <name>VulcanStoneSystem</name>
       <model>models/vulcanic_stone.obj</model>
       <life-span>6.0,2</life-span>
-      <type>model</type>
       <radius>0,5,3</radius>
       <mass>0,.1,0</mass>
-    </ParticleSystem>
-    <ParticleEmitter>
-     <name>VulcanStoneEmitter</name>
-     <emission-velocity>700,400</emission-velocity>
-     <rate>20</rate>
-     <type>cube</type>
-     <size>40</size>;
-     <emission-direction>0,1,0</emission-direction>
-     <rel-coor>2460,105,606</rel-coor>
-     <spread>1,.5</spread>
-    </ParticleEmitter>
+      <emitters>
+        <ParticleEmitter>
+          <name>VulcanStoneEmitter</name>
+          <emission-velocity>700,400</emission-velocity>
+          <rate>20</rate>
+          <type>cube</type>
+          <size>40</size>;
+          <emission-direction>0,1,0</emission-direction>
+          <rel-coor>2460,105,606</rel-coor>
+          <spread>1,.5</spread>
+        </ParticleEmitter>
+      </emitters>
+    </ModelParticles>
 
-    <ParticleSystem>
+    <SpriteParticles>
      <name>VulcanFogSystem</name>
-     <type>sprite</type>
      <max-count>2000</max-count>
      <life-span>5,2</life-span>
@@ -57,19 +57,20 @@
      <color>.5,.6,.6,.6,.2</color>
      <color>1,.0,.0,.0,.0</color>
-   </ParticleSystem>
-   <ParticleEmitter>
-    <name>VulcanFogEmitter</name>
-    <emission-direction>0,1,0</emission-direction>
-    <type>cube</type>
-    <spread>.5,.3</spread>
-    <emission-velocity>150,50</emission-velocity>
-    <size>40</size>
-    <rate>400</rate>
-    <rel-coor>2460,105,606</rel-coor>
-   </ParticleEmitter>
+     <emitters>
+       <ParticleEmitter>
+        <name>VulcanFogEmitter</name>
+        <emission-direction>0,1,0</emission-direction>
+        <type>cube</type>
+        <spread>.5,.3</spread>
+        <emission-velocity>150,50</emission-velocity>
+        <size>40</size>
+        <rate>400</rate>
+        <rel-coor>2460,105,606</rel-coor>
+       </ParticleEmitter>
+     </emitters>
+   </SpriteParticles>
 
-    <ParticleSystem>
+   <SparkParticles>
      <name>VulcanSparkSystem</name>
-     <type>spark</type>
      <max-count>5000</max-count>
      <life-span>5,2</life-span>
@@ -80,15 +81,17 @@
      <color>.5,1,1,0,.2</color>
      <color>1,.0,.0,.0,.0</color>
-   </ParticleSystem>
-   <ParticleEmitter>
-    <name>VulcanSparkEmitter</name>
-    <emission-direction>0,1,0</emission-direction>
-    <type>cube</type>
-    <spread>.5,.3</spread>
-    <emission-velocity>150,50</emission-velocity>
-    <size>40</size>
-    <rate>400</rate>
-    <rel-coor>2460,105,606</rel-coor>
-   </ParticleEmitter>
+     <emitters>
+       <ParticleEmitter>
+        <name>VulcanSparkEmitter</name>
+        <emission-direction>0,1,0</emission-direction>
+        <type>cube</type>
+        <spread>.5,.3</spread>
+        <emission-velocity>150,50</emission-velocity>
+        <size>40</size>
+        <rate>400</rate>
+        <rel-coor>2460,105,606</rel-coor>
+       </ParticleEmitter>
+    </emitters>
+  </SparkParticles>
 
 </WorldEntities>
@@ -111,10 +114,4 @@
     </Lights>
   </LightManager>
-
-  <ParticleEngine>
-   <connect>VulcanStoneEmitter, VulcanStoneSystem</connect>
-   <connect>VulcanFogEmitter, VulcanFogSystem</connect>
-   <connect>VulcanSparkEmitter, VulcanSparkSystem</connect>
-  </ParticleEngine>
 
 