Index: data/trunk/worlds/DefaultCampaign.oxc
===================================================================
--- data/trunk/worlds/DefaultCampaign.oxc	(revision 3586)
+++ data/trunk/worlds/DefaultCampaign.oxc	(revision 3590)
@@ -4,28 +4,54 @@
   <description>The one and only default debug campaign</description>
   <WorldList>
-    <SinglePlayerWorld>
+    <SimpleGameMenu>
       <identifier>0</identifier>
+      <name>World1</name>
       <nextid>1</nextid>
-      <path>worlds/Straight.oxw</path>
-    </SinglePlayerWorld>
+      <path>worlds/SimpleMenu.oxw</path>
+    </SimpleGameMenu>
     <SinglePlayerWorld>
       <identifier>1</identifier>
+      <name>World2</name>
       <nextid>2</nextid>
-      <path>worlds/christmas.oxw</path>
+      <path>worlds/Straight.oxw</path>
+      <menu-entry>1</menu-entry>
+      <menu-item-image>pictures/menu/se_straight_512x128.png</menu-item-image>
+      <screenshoot></screenshoot>
     </SinglePlayerWorld>
     <SinglePlayerWorld>
       <identifier>2</identifier>
+      <name>World3</name>
       <nextid>3</nextid>
-      <path>worlds/DefaultWorld.oxw</path>
+      <path>worlds/christmas.oxw</path>
+      <menu-entry>1</menu-entry>
+      <menu-item-image>pictures/menu/se_christmas_512x128.png</menu-item-image>
+      <screenshoot></screenshoot>
     </SinglePlayerWorld>
     <SinglePlayerWorld>
       <identifier>3</identifier>
+      <name>World4</name>
       <nextid>4</nextid>
-      <path>worlds/vulcania.oxw</path>
+      <path>worlds/DefaultWorld.oxw</path>
+      <menu-entry>1</menu-entry>
+      <menu-item-image>pictures/menu/se_default_512x128.png</menu-item-image>
+      <screenshoot></screenshoot>
     </SinglePlayerWorld>
     <SinglePlayerWorld>
       <identifier>4</identifier>
+      <name>World5</name>
+      <nextid>5</nextid>
+      <path>worlds/vulcania.oxw</path>
+      <menu-entry>1</menu-entry>
+      <menu-item-image>pictures/menu/se_vulcano_512x128.png</menu-item-image>
+      <screenshoot></screenshoot>
+    </SinglePlayerWorld>
+    <SinglePlayerWorld>
+      <identifier>5</identifier>
+      <name>World6</name>
       <nextid>999</nextid>
       <path>worlds/World2.oxw</path>
+      <menu-entry>1</menu-entry>
+      <menu-item-image>pictures/menu/se_default_512x128.png</menu-item-image>
+      <screenshoot></screenshoot>
     </SinglePlayerWorld>
   </WorldList>
Index: data/trunk/worlds/SimpleMenu.oxw
===================================================================
--- data/trunk/worlds/SimpleMenu.oxw	(revision 3590)
+++ data/trunk/worlds/SimpleMenu.oxw	(revision 3590)
@@ -0,0 +1,65 @@
+<WorldDataFile>
+  <name>Game Menu</name>
+  <LoadScreen>
+    <BackgroundImage>pictures/load_screen_simple.jpg</BackgroundImage>
+    <ElementCount>16</ElementCount>
+    <BackgroundPS>0,0,1.0,1</BackgroundPS>
+    <BarPS>.65,.87,.3,.05</BarPS>
+    <BarImage>pictures/load_screen_bar_simple.png</BarImage>
+  </LoadScreen>
+  <WorldEntities>
+    <Planet>
+      <name>mars</name>
+      <texture>pictures/plutomap.png</texture>
+      <size>20</size>
+      <abs-coor>3,0,3</abs-coor>
+    </Planet>
+    <SkyBox>
+     <name>Sky</name>
+     <Materialset>pictures/sky/simple_space</Materialset>
+     <Size>100</Size>
+    </SkyBox>
+  </WorldEntities>
+  <Elements>
+    <ImageEntity>
+      <name>Selector_Menu</name>
+      <texture>pictures/menu/selector_512x128.png</texture>
+      <size>100, 50</size>
+      <abs-coor>0,0,0</abs-coor>
+    </ImageEntity>
+    <ImageEntity>
+      <name>StartGame_Menu</name>
+      <texture>pictures/menu/start_game_512x128_normal.png</texture>
+      <size>100, 50</size>
+      <abs-coor>0,0,0</abs-coor>
+    </ImageEntity>
+    <ImageEntity>
+      <name>Multiplayer_Menu</name>
+      <texture>pictures/menu/multiplayer_512x128_normal.png</texture>
+      <size>100, 50</size>
+      <abs-coor>0,-7,0</abs-coor>
+    </ImageEntity>
+    <ImageEntity>
+      <name>Quit_Menu</name>
+      <texture>pictures/menu/quit_512x128_normal.png</texture>
+      <size>100, 50</size>
+      <abs-coor>0,-20,0</abs-coor>
+    </ImageEntity>
+  </Elements>
+    <LightManager>
+    <Lights>
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>50,20,-10</abs-coor>
+      </Light>
+      <ambient-color>1,1,1</ambient-color>
+    </Lights>
+  </LightManager>
+
+  <Track>
+   <Point>0,50,0</Point>
+   <Point>5000,50,0</Point>
+   <Duration>100</Duration>
+   <SavePoint/>
+ </Track>
+</WorldDataFile>
Index: data/trunk/worlds/Straight.oxw
===================================================================
--- data/trunk/worlds/Straight.oxw	(revision 3586)
+++ data/trunk/worlds/Straight.oxw	(revision 3590)
@@ -111,4 +111,7 @@
   </LightManager>
   <Music>sound/00-luke_grey_-_hypermode.ogg</Music>
-
+  <FogEffect>
+    <fog-mode>GL_LINEAR</fog-mode>
+    <fog-range>10.0, 1000.0</fog-range>
+  </FogEffect>
 </WorldDataFile>