Index: data/branches/avi_play/worlds/AviPlay.oxw
===================================================================
--- data/branches/avi_play/worlds/AviPlay.oxw	(revision 3616)
+++ data/branches/avi_play/worlds/AviPlay.oxw	(revision 3616)
@@ -0,0 +1,179 @@
+<WorldDataFile>
+  <name>MeteroidCinema</name>
+  <LoadScreen>
+    <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
+
+    <ElementCount>16</ElementCount>
+    <BackgroundPS>0,0,1.0,1</BackgroundPS>
+    <BarPS>.65,.87,.3,.05</BarPS>
+    <BarImage>pictures/load_screen_bar.png</BarImage>
+  </LoadScreen>
+  <WorldEntities>
+
+    <Hover>
+      <name>Player</name>
+<abs-coor>342.19, 169.36, 37.74</abs-coor>
+    </Hover>
+
+    <SpaceShip>
+      <name>Player2</name>
+      <model>models/ships/reap_#.obj</model>
+      <abs-coor>342.19, 169.36, 37.74</abs-coor>
+    </SpaceShip>
+
+    <SpaceShip>
+      <name>Player3</name>
+      <model>models/ships/mantawing.obj</model>
+      <abs-coor>338.53, 172.09, 7.04</abs-coor>
+    </SpaceShip>
+
+        <SpaceShip>
+      <name>Player4</name>
+      <model>models/ships/warcruiser.obj</model>
+      <abs-coor>331.19, 171.36, 49.74</abs-coor>
+    </SpaceShip>
+
+    <SpaceShip>
+      <name>Player5</name>
+      <model>models/ships/powerdrifter.obj</model>
+      <abs-coor>331.19, 171.36, 25.74</abs-coor>
+      <abs-dir>1.5,0,1,0</abs-dir>
+    </SpaceShip>
+
+
+    <SpaceShip>
+      <name>Player6</name>
+      <model>models/ships/gobblin.obj</model>
+      <abs-coor>311.53, 181.09, 12.04</abs-coor>
+    </SpaceShip>
+
+        <SpaceShip>
+      <name>Player7</name>
+      <model>models/ships/fighter.obj</model>
+      <abs-coor>311.53, 181.09, 39.04</abs-coor>
+    </SpaceShip>
+
+    <Hover>
+      <name>Player6</name>
+      <abs-coor>311.53, 181.09, 66.04</abs-coor>
+    </Hover>
+
+
+
+        <SpaceShip>
+      <name>Player7</name>
+      <model>models/ships/reap_#.obj</model>
+      <abs-coor>332.19, 200.36, 34.74</abs-coor>
+    </SpaceShip>
+
+    <SpaceShip>
+      <name>Player8</name>
+      <model>models/ships/mantawing.obj</model>
+      <abs-coor>328.53, 200.09, 17.04</abs-coor>
+    </SpaceShip>
+
+        <SpaceShip>
+      <name>Player9</name>
+      <model>models/ships/warcruiser.obj</model>
+      <abs-coor>321.19, 200.36, 39.74</abs-coor>
+    </SpaceShip>
+
+    <SpaceShip>
+      <name>Player10</name>
+      <model>models/ships/powerdrifter.obj</model>
+      <abs-coor>321.19, 200.36, 28.74</abs-coor>
+      <abs-dir>1.5,0,1,0</abs-dir>
+    </SpaceShip>
+
+
+    <SpaceShip>
+      <name>Player11</name>
+      <model>models/ships/gobblin.obj</model>
+      <abs-coor>301.53, 210.09, 5.04</abs-coor>
+    </SpaceShip>
+
+        <SpaceShip>
+      <name>Player12</name>
+      <model>models/ships/fighter.obj</model>
+      <abs-coor>301.53, 210.09, 33.04</abs-coor>
+    </SpaceShip>
+
+    <Hover>
+      <name>Player13</name>
+      <abs-coor>301.53, 210.09, 70.04</abs-coor>
+    </Hover>
+
+
+            <SpaceShip>
+      <name>Player14</name>
+      <model>models/ships/reap_#.obj</model>
+      <abs-coor>332.19, 190.36, 34.74</abs-coor>
+    </SpaceShip>
+
+    <SpaceShip>
+      <name>Player15</name>
+      <model>models/ships/mantawing.obj</model>
+      <abs-coor>328.53, 190.09, 17.04</abs-coor>
+    </SpaceShip>
+
+        <SpaceShip>
+      <name>Player16</name>
+      <model>models/ships/warcruiser.obj</model>
+      <abs-coor>321.19, 190.36, 39.74</abs-coor>
+    </SpaceShip>
+
+    <SpaceShip>
+      <name>Player17</name>
+      <model>models/ships/powerdrifter.obj</model>
+      <abs-coor>321.19, 190.36, 28.74</abs-coor>
+      <abs-dir>1.5,0,1,0</abs-dir>
+    </SpaceShip>
+
+
+    <SpaceShip>
+      <name>Player18</name>
+      <model>models/ships/gobblin.obj</model>
+      <abs-coor>301.53, 190.09, 5.04</abs-coor>
+    </SpaceShip>
+
+        <SpaceShip>
+      <name>Player19</name>
+      <model>models/ships/fighter.obj</model>
+      <abs-coor>301.53, 190.09, 33.04</abs-coor>
+    </SpaceShip>
+
+<SkyBox>
+     <name>Sky</name>
+     <Materialset>pictures/sky/simple_space</Materialset>
+     <Size>10000</Size>
+    </SkyBox>
+
+
+    <Terrain>
+      <name>Meteroit</name>
+      <abs-coor>300,50,0</abs-coor>
+      <model>models/environments/meteorit.obj, 2.5</model>
+    </Terrain>
+
+    <MovieEntity>
+      <abs-coor>402.67, 188.16, 36.99</abs-coor>
+      <name>media/crash.mpg</name>
+      <axis>90</axis>
+      <size>72,40.5</size>
+    </MovieEntity>
+
+  </WorldEntities>
+    <LightManager>
+    <Lights>
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>100,100,50</abs-coor>
+      </Light>
+    <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>100,200,50</abs-coor>
+      </Light>
+      <ambient-color>1,1,1</ambient-color>
+    </Lights>
+  </LightManager>
+</WorldDataFile>