Index: data/trunk/worlds/DefaultCampaign.oxc
===================================================================
--- data/trunk/worlds/DefaultCampaign.oxc	(revision 3624)
+++ data/trunk/worlds/DefaultCampaign.oxc	(revision 3625)
@@ -6,53 +6,39 @@
     <SimpleGameMenu>
       <identifier>0</identifier>
-      <name>World1</name>
+      <name>GameMenu</name>
       <nextid>1</nextid>
       <path>worlds/SimpleMenu.oxw</path>
     </SimpleGameMenu>
+
     <SinglePlayerWorld>
       <identifier>1</identifier>
-      <name>World2</name>
       <nextid>2</nextid>
       <path>worlds/Straight.oxw</path>
-      <menu-entry>1</menu-entry>
-      <menu-item-image>pictures/menu/se_straight_512x128.png</menu-item-image>
-      <screenshoot>pictures/menu/ss_straight_512x512.png</screenshoot>
     </SinglePlayerWorld>
+
     <SinglePlayerWorld>
       <identifier>2</identifier>
-      <name>World3</name>
       <nextid>3</nextid>
       <path>worlds/christmas.oxw</path>
-      <menu-entry>1</menu-entry>
-      <menu-item-image>pictures/menu/se_christmas_512x128.png</menu-item-image>
-      <screenshoot>pictures/menu/ss_christmas_512x512.png</screenshoot>
     </SinglePlayerWorld>
+
     <SinglePlayerWorld>
       <identifier>3</identifier>
-      <name>World4</name>
       <nextid>4</nextid>
       <path>worlds/DefaultWorld.oxw</path>
-      <menu-entry>1</menu-entry>
-      <menu-item-image>pictures/menu/se_default_512x128.png</menu-item-image>
-      <screenshoot>pictures/menu/ss_default_512x512.png</screenshoot>
     </SinglePlayerWorld>
+
     <SinglePlayerWorld>
       <identifier>4</identifier>
-      <name>World5</name>
       <nextid>5</nextid>
       <path>worlds/vulcania.oxw</path>
-      <menu-entry>1</menu-entry>
-      <menu-item-image>pictures/menu/se_vulcano_512x128.png</menu-item-image>
-      <screenshoot>pictures/menu/ss_vulcano_512x512.png</screenshoot>
     </SinglePlayerWorld>
+
     <SinglePlayerWorld>
       <identifier>5</identifier>
-      <name>World6</name>
       <nextid>999</nextid>
       <path>worlds/World2.oxw</path>
-      <menu-entry>1</menu-entry>
-      <menu-item-image>pictures/menu/se_default_512x128.png</menu-item-image>
-      <screenshoot>pictures/menu/ss_default_512x512.png</screenshoot>
     </SinglePlayerWorld>
+
   </WorldList>
 </Campaign>
Index: data/trunk/worlds/DefaultWorld.oxw
===================================================================
--- data/trunk/worlds/DefaultWorld.oxw	(revision 3624)
+++ data/trunk/worlds/DefaultWorld.oxw	(revision 3625)
@@ -1,4 +1,8 @@
 <WorldDataFile>
   <name>NULLWORLD</name>
+  <menu-entry>1</menu-entry>
+  <menu-item-image>pictures/menu/se_default_512x128.png</menu-item-image>
+  <screenshoot>pictures/menu/ss_default_512x512.png</screenshoot>
+
   <LoadScreen>
     <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
Index: data/trunk/worlds/Straight.oxw
===================================================================
--- data/trunk/worlds/Straight.oxw	(revision 3624)
+++ data/trunk/worlds/Straight.oxw	(revision 3625)
@@ -1,4 +1,8 @@
 <WorldDataFile>
   <name>Straight</name>
+  <menu-entry>1</menu-entry>
+  <menu-item-image>pictures/menu/se_straight_512x128.png</menu-item-image>
+  <screenshoot>pictures/menu/ss_straight_512x512.png</screenshoot>
+
   <LoadScreen>
     <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
Index: data/trunk/worlds/World2.oxw
===================================================================
--- data/trunk/worlds/World2.oxw	(revision 3624)
+++ data/trunk/worlds/World2.oxw	(revision 3625)
@@ -1,4 +1,8 @@
 <WorldDataFile>
-  <name>NULLWORLD</name>
+  <name>Darkness</name>
+  <menu-entry>1</menu-entry>
+  <menu-item-image>pictures/menu/se_default_512x128.png</menu-item-image>
+  <screenshoot>pictures/menu/ss_default_512x512.png</screenshoot>
+
   <LoadScreen>
     <BackgroundImage>pictures/sky/skybox_right.jpg</BackgroundImage>
Index: data/trunk/worlds/christmas.oxw
===================================================================
--- data/trunk/worlds/christmas.oxw	(revision 3624)
+++ data/trunk/worlds/christmas.oxw	(revision 3625)
@@ -1,4 +1,8 @@
 <WorldDataFile>
-  <name>Straight</name>
+  <name>Christmas</name>
+  <menu-entry>1</menu-entry>
+  <menu-item-image>pictures/menu/se_christmas_512x128.png</menu-item-image>
+  <screenshoot>pictures/menu/ss_christmas_512x512.png</screenshoot>
+
   <LoadScreen>
     <BackgroundImage>pictures/load_screen_christmas.png</BackgroundImage>
Index: data/trunk/worlds/vulcania.oxw
===================================================================
--- data/trunk/worlds/vulcania.oxw	(revision 3624)
+++ data/trunk/worlds/vulcania.oxw	(revision 3625)
@@ -1,4 +1,8 @@
 <WorldDataFile>
-  <name>NULLWORLD</name>
+  <name>Vulcania</name>
+  <menu-entry>1</menu-entry>
+  <menu-item-image>pictures/menu/se_vulcano_512x128.png</menu-item-image>
+  <screenshoot>pictures/menu/ss_vulcano_512x512.png</screenshoot>
+
   <LoadScreen>
     <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>