Index: /data/trunk/models/environments/desert.mtl
===================================================================
--- /data/trunk/models/environments/desert.mtl	(revision 3635)
+++ /data/trunk/models/environments/desert.mtl	(revision 3636)
@@ -1,2 +1,48 @@
+newmtl blinn1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.56 0.56 0.56
+Tf 1.00 1.00 1.00
+map_Kd bricks_wood.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.44 0.44 0.44
+Tf 1.00 1.00 1.00
+map_Kd stucco.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn3SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.43 0.43 0.43
+Tf 1.00 1.00 1.00
+map_Kd wood_knorr.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn4SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd brsmet12.gif
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl directionsign_lambert2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd Autobahnschild.png
+Ni 1.00
+newmtl directionsign_lambert3SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd brsmet12.gif
+Ni 1.00
 newmtl initialShadingGroup
 illum 4
@@ -8,8 +54,7 @@
 illum 4
 Kd 0.00 0.00 0.00
-Ka 0.20 0.20 0.20
+Ka 0.18 0.18 0.18
 Tf 1.00 1.00 1.00
 map_Kd sahara.jpg
 Ni 1.00
-Ks 0.64 0.30 0.00
-Ns 52.65
+Ks 1.00 0.61 0.42
Index: /data/trunk/models/environments/desert_vegetation.mtl
===================================================================
--- /data/trunk/models/environments/desert_vegetation.mtl	(revision 3636)
+++ /data/trunk/models/environments/desert_vegetation.mtl	(revision 3636)
@@ -0,0 +1,74 @@
+newmtl blinn1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.56 0.56 0.56
+Tf 1.00 1.00 1.00
+map_Kd bricks_wood.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.44 0.44 0.44
+Tf 1.00 1.00 1.00
+map_Kd stucco.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn3SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.43 0.43 0.43
+Tf 1.00 1.00 1.00
+map_Kd wood_knorr.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn4SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd brsmet12.gif
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl directionsign_lambert2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+map_Kd Autobahnschild.png
+Ni 1.00
+newmtl directionsign_lambert3SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd brsmet12.gif
+Ni 1.00
+newmtl endsign_lambert2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+map_Kd endsign.png
+Ni 1.00
+newmtl initialShadingGroup
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl lambert2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+map_Kd absperrung.jpg
+Ni 1.00
+newmtl phong1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.18 0.18 0.18
+Tf 1.00 1.00 1.00
+map_Kd sahara.jpg
+Ni 1.00
+Ks 1.00 0.61 0.42
Index: /data/trunk/worlds/DefaultCampaign.oxc
===================================================================
--- /data/trunk/worlds/DefaultCampaign.oxc	(revision 3635)
+++ /data/trunk/worlds/DefaultCampaign.oxc	(revision 3636)
@@ -10,4 +10,5 @@
       <path>worlds/SimpleMenu.oxw</path>
     </SimpleGameMenu>
+
     <SinglePlayerWorld>
       <identifier>1</identifier>
Index: /data/trunk/worlds/desert.oxw
===================================================================
--- /data/trunk/worlds/desert.oxw	(revision 3636)
+++ /data/trunk/worlds/desert.oxw	(revision 3636)
@@ -0,0 +1,57 @@
+<WorldDataFile>
+  <name>Desert</name>
+  <LoadScreen>
+    <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
+
+    <ElementCount>16</ElementCount>
+    <BackgroundPS>0,0,1.0,1</BackgroundPS>
+    <BarPS>.65,.87,.3,.05</BarPS>
+    <BarImage>pictures/load_screen_bar.png</BarImage>
+  </LoadScreen>
+  <WorldEntities>
+
+    <SkyBox>
+     <name>Sky</name>
+     <Materialset>pictures/sky/desert</Materialset>
+     <Size>10000</Size>
+    </SkyBox>
+
+    <Hover>
+      <name>Player</name>
+      <abs-coor>437, 15, -1450</abs-coor>
+    </Hover>
+
+
+    <Terrain>
+      <name>Desert</name>
+      <model>models/environments/desert.obj</model>
+      <vegetation>models/environments/desert_vegetation.obj</vegetation>
+    </Terrain>
+
+
+    </WorldEntities>
+
+    <LightManager>
+    <Lights>
+
+  <!-- Sun -->
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>94,7600,2600</abs-coor>
+      </Light>
+
+  <!--Light in Hangar -->
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>-79.264,-18.759,2.036</abs-coor>
+      </Light>
+      <ambient-color>1,1,1</ambient-color>
+    </Lights>
+  </LightManager>
+
+  <Music>sound/00-luke_grey_-_hypermode.ogg</Music>
+  <FogEffect>
+    <fog-mode>GL_LINEAR</fog-mode>
+    <fog-range>10.0, 1000.0</fog-range>
+  </FogEffect>
+</WorldDataFile>