Index: /data/trunk/worlds/DefaultCampaign.oxc
===================================================================
--- /data/trunk/worlds/DefaultCampaign.oxc	(revision 3661)
+++ /data/trunk/worlds/DefaultCampaign.oxc	(revision 3662)
@@ -58,5 +58,5 @@
       <identifier>6</identifier>
       <nextid>999</nextid>
-      <path>worlds/World2.oxw</path>
+      <path>worlds/urban_city.oxw</path>
       <menu-entry>1</menu-entry>
     </SinglePlayerWorld>
Index: /data/trunk/worlds/urban_city.oxw
===================================================================
--- /data/trunk/worlds/urban_city.oxw	(revision 3662)
+++ /data/trunk/worlds/urban_city.oxw	(revision 3662)
@@ -0,0 +1,174 @@
+<WorldDataFile>
+  <name>Urban City</name>
+  <menu-item-image>pictures/menu/se_straight_512x128.png</menu-item-image>
+  <screenshoot>pictures/menu/ss_straight_512x512.png</screenshoot>
+
+  <LoadScreen>
+    <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
+
+    <ElementCount>16</ElementCount>
+    <BackgroundPS>0,0,1.0,1</BackgroundPS>
+    <BarPS>.65,.87,.3,.05</BarPS>
+    <BarImage>pictures/load_screen_bar.png</BarImage>
+  </LoadScreen>
+  <WorldEntities>
+    <ParamPowerUp>
+      <type>health</type>
+      <value>100</value>
+      <abs-coor>300,50,0</abs-coor>
+    </ParamPowerUp>
+    <ParamPowerUp>
+      <type>max-health</type>
+      <value>100</value>
+      <abs-coor>310,50,0</abs-coor>
+    </ParamPowerUp>
+    <ParamPowerUp>
+      <type>health</type>
+      <value>100</value>
+      <abs-coor>320,50,0</abs-coor>
+    </ParamPowerUp>
+    <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
+      <abs-coor>330,50,0</abs-coor>
+    </WeaponPowerUp>
+    <TurretPowerUp>
+      <abs-coor>3000,50,0</abs-coor>
+    </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>3010,50,0</abs-coor>
+   </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>3020,50,0</abs-coor>
+    </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>3030,50,0</abs-coor>
+    </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>3040,50,0</abs-coor>
+    </TurretPowerUp>
+
+    <SkyBox>
+     <name>Sky</name>
+     <Materialset>pictures/sky/desert</Materialset>
+     <Size>10000</Size>
+    </SkyBox>
+
+    <Water>
+      <size>500,500</size>
+      <resolution>50,50</resolution>
+      <height>5</height>
+    </Water>
+
+    <Building>
+      <model>models/buildings/cone.obj, 3.5</model>
+      <abs-coor>-150, 0, -100</abs-coor>
+    </Building>
+    <Building>
+      <model>models/buildings/cone.obj, 3.5</model>
+      <abs-coor>-150, 0, 100</abs-coor>
+    </Building>
+    <Building>
+      <model>models/buildings/cone.obj, 3.5</model>
+      <abs-coor>150, 0, -100</abs-coor>
+    </Building>
+    <Building>
+      <model>models/buildings/cone.obj, 3.5</model>
+      <abs-coor>150, 0, 100</abs-coor>
+    </Building>
+
+    <Building>
+      <model>models/buildings/ring.obj, 3</model>
+      <abs-coor>0, 0, 0</abs-coor>
+    </Building>
+
+    <Building>
+      <model>models/buildings/fallo.obj, 3</model>
+      <abs-coor>250, 0, 0</abs-coor>
+    </Building>
+    <Building>
+      <model>models/buildings/fallo.obj, 3</model>
+      <abs-coor>-250, 0, 0</abs-coor>
+    </Building>
+    <Building>
+      <model>models/buildings/fallo.obj, 3</model>
+      <abs-coor>0, 0, 250</abs-coor>
+    </Building>
+    <Building>
+      <model>models/buildings/fallo.obj, 3</model>
+      <abs-coor>0, 0, 250</abs-coor>
+    </Building>
+
+    <Building>
+      <model>models/buildings/triton_tower.obj, 3</model>
+      <abs-coor>150, 0, 250</abs-coor>
+    </Building>
+    <Building>
+      <model>models/buildings/triton_tower.obj, 3</model>
+      <abs-coor>-150, 0, 250</abs-coor>
+      <abs-dir>1, 0, 1, 0</abs-dir>
+    </Building>
+    <Building>
+      <model>models/buildings/triton_tower.obj, 3</model>
+      <abs-coor>180, 0, 250</abs-coor>
+      <abs-dir>-1, 0, 1, 0</abs-dir>
+   </Building>
+
+
+    <TurbineHover>
+      <name>Player</name>
+      <abs-coor>0, 10, 0</abs-coor>
+    </TurbineHover>
+
+
+    <Terrain>
+      <name>HardCore</name>
+      <model>worlds/environ.obj</model>
+      <abs-coor>0,0,100</abs-coor>
+    </Terrain>
+
+
+<!-- NEW GROUND TURRET BEGIN -->
+    <GroundTurret>
+      <abs-coor>1005,0,-50</abs-coor>
+      <weapon-right>
+        <Turret>
+         <model>models/guns/turret2.obj,10.0</model>
+        </Turret>
+      </weapon-right>
+      <weapon-left>
+       <AimingTurret>
+        <model>models/guns/turret1.obj,10.0</model>
+       </AimingTurret>
+      </weapon-left>
+     </GroundTurret>
+<!-- NEW GROUND TURRET END -->
+
+    <GroundTurret>
+      <abs-coor>1500,0,20</abs-coor>
+    </GroundTurret>
+    <GroundTurret>
+      <abs-coor>400,0,0</abs-coor>
+    </GroundTurret>
+    <GroundTurret>
+      <abs-coor>700,0,-40</abs-coor>
+    </GroundTurret>
+  </WorldEntities>
+    <LightManager>
+    <Lights>
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>100,100,50</abs-coor>
+      </Light>
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>-1000,800,-200</abs-coor>
+      </Light>
+      <ambient-color>1,1,1</ambient-color>
+    </Lights>
+  </LightManager>
+  <Music>sound/music/00-luke_grey_-_hypermode.ogg</Music>
+  <FogEffect>
+    <fog-mode>GL_LINEAR</fog-mode>
+    <fog-range>10.0, 1000.0</fog-range>
+  </FogEffect>
+</WorldDataFile>