Index: data/branches/avi_play/worlds/MeteroidCinema.oxw
===================================================================
--- data/branches/avi_play/worlds/MeteroidCinema.oxw	(revision 3675)
+++ data/branches/avi_play/worlds/MeteroidCinema.oxw	(revision 3678)
@@ -14,29 +14,9 @@
   <WorldEntities>
 
-<!--
-    <ModelParticles>
-      <name>VulcanStoneSystem</name>
-      <model>models/comet.obj</model>
-      <life-span>6000.0</life-span>
-      <radius>0,5,3</radius>
-      <mass>0,.1,0</mass>
-      <precache>5</precache>
-      <emitters>
-        <BoxEmitter>
-          <name>VulcanStoneEmitter</name>
-          <emission-velocity>5,5</emission-velocity>
-          <rate>20</rate>
-          <size>2000, 100, 2000</size>;
-          <abs-coor>342.19, 469.36, 37.74</abs-coor>
-          <spread>1,.5</spread>
-        </BoxEmitter>
-      </emitters>
-    </ModelParticles>
--->
     <TurbineHover>
       <name>Player</name>
       <abs-coor>300,-400,500</abs-coor>
     </TurbineHover>
-<!--
+
     <SpaceShip>
       <name>Player2</name>
@@ -47,24 +27,4 @@
     <SpaceShip>
       <name>Player3</name>
-      <model>models/ships/mantawing.obj</model>
-      <abs-coor>338.53, 172.09, 7.04</abs-coor>
-    </SpaceShip>
-
-        <SpaceShip>
-      <name>Player4</name>
-      <model>models/ships/warcruiser.obj</model>
-      <abs-coor>331.19, 171.36, 49.74</abs-coor>
-    </SpaceShip>
-
-    <SpaceShip>
-      <name>Player5</name>
-      <model>models/ships/powerdrifter.obj</model>
-      <abs-coor>331.19, 171.36, 25.74</abs-coor>
-      <abs-dir>1.5,0,1,0</abs-dir>
-    </SpaceShip>
-
-
-    <SpaceShip>
-      <name>Player6</name>
       <model>models/ships/gobblin.obj</model>
       <abs-coor>311.53, 181.09, 12.04</abs-coor>
@@ -72,46 +32,48 @@
 
         <SpaceShip>
-      <name>Player7</name>
+      <name>Player4</name>
       <model>models/ships/fighter.obj</model>
       <abs-coor>311.53, 181.09, 39.04</abs-coor>
     </SpaceShip>
 
-    <Hover>
-      <name>Player6</name>
-      <abs-coor>311.53, 181.09, 66.04</abs-coor>
-    </Hover>
-
-
-
-        <SpaceShip>
-      <name>Player7</name>
-      <model>models/ships/reap_#.obj</model>
-      <abs-coor>332.19, 200.36, 34.74</abs-coor>
-    </SpaceShip>
+    <TurbineHover>
+      <name>Player5</name>
+      <abs-coor>310.53, 165.09, 64.04</abs-coor>
+    </TurbineHover>
 
     <SpaceShip>
-      <name>Player8</name>
-      <model>models/ships/mantawing.obj</model>
-      <abs-coor>328.53, 200.09, 17.04</abs-coor>
-    </SpaceShip>
-
-        <SpaceShip>
-      <name>Player9</name>
-      <model>models/ships/warcruiser.obj</model>
-      <abs-coor>321.19, 200.36, 39.74</abs-coor>
-    </SpaceShip>
-
-    <SpaceShip>
-      <name>Player10</name>
-      <model>models/ships/powerdrifter.obj</model>
-      <abs-coor>321.19, 200.36, 28.74</abs-coor>
-      <abs-dir>1.5,0,1,0</abs-dir>
+      <name>Player6</name>
+      <model>models/ships/reap_#.obj</model>
+      <abs-coor>346.19, 160.36, 30.74</abs-coor>
     </SpaceShip>
 
 
     <SpaceShip>
+      <name>Player7</name>
+      <model>models/ships/gobblin.obj</model>
+      <abs-coor>306.53, 186.09, 17.04</abs-coor>
+    </SpaceShip>
+
+        <SpaceShip>
+      <name>Player8</name>
+      <model>models/ships/fighter.obj</model>
+      <abs-coor>315.53, 190.09, 43.04</abs-coor>
+    </SpaceShip>
+
+    <TurbineHover>
+      <name>Player9</name>
+      <abs-coor>317.53, 186.09, 60.04</abs-coor>
+    </TurbineHover>
+
+    <SpaceShip>
+      <name>Player10</name>
+      <model>models/ships/reap_#.obj</model>
+      <abs-coor>342.19, 169.36, 37.74</abs-coor>
+    </SpaceShip>
+
+    <SpaceShip>
       <name>Player11</name>
       <model>models/ships/gobblin.obj</model>
-      <abs-coor>301.53, 210.09, 5.04</abs-coor>
+      <abs-coor>311.53, 181.09, 12.04</abs-coor>
     </SpaceShip>
 
@@ -119,51 +81,36 @@
       <name>Player12</name>
       <model>models/ships/fighter.obj</model>
-      <abs-coor>301.53, 210.09, 33.04</abs-coor>
+      <abs-coor>311.53, 181.09, 39.04</abs-coor>
     </SpaceShip>
 
-    <Hover>
+    <TurbineHover>
       <name>Player13</name>
-      <abs-coor>301.53, 210.09, 70.04</abs-coor>
-    </Hover>
+      <abs-coor>310.53, 165.09, 64.04</abs-coor>
+    </TurbineHover>
 
-
-            <SpaceShip>
+    <SpaceShip>
       <name>Player14</name>
       <model>models/ships/reap_#.obj</model>
-      <abs-coor>332.19, 190.36, 34.74</abs-coor>
+      <abs-coor>346.19, 160.36, 30.74</abs-coor>
     </SpaceShip>
+
 
     <SpaceShip>
       <name>Player15</name>
-      <model>models/ships/mantawing.obj</model>
-      <abs-coor>328.53, 190.09, 17.04</abs-coor>
+      <model>models/ships/gobblin.obj</model>
+      <abs-coor>306.53, 186.09, 17.04</abs-coor>
     </SpaceShip>
 
         <SpaceShip>
       <name>Player16</name>
-      <model>models/ships/warcruiser.obj</model>
-      <abs-coor>321.19, 190.36, 39.74</abs-coor>
+      <model>models/ships/fighter.obj</model>
+      <abs-coor>315.53, 190.09, 43.04</abs-coor>
     </SpaceShip>
 
-    <SpaceShip>
+    <TurbineHover>
       <name>Player17</name>
-      <model>models/ships/powerdrifter.obj</model>
-      <abs-coor>321.19, 190.36, 28.74</abs-coor>
-      <abs-dir>1.5,0,1,0</abs-dir>
-    </SpaceShip>
+      <abs-coor>317.53, 186.09, 60.04</abs-coor>
+    </TurbineHover>
 
-
-    <SpaceShip>
-      <name>Player18</name>
-      <model>models/ships/gobblin.obj</model>
-      <abs-coor>301.53, 190.09, 5.04</abs-coor>
-    </SpaceShip>
-
-        <SpaceShip>
-      <name>Player19</name>
-      <model>models/ships/fighter.obj</model>
-      <abs-coor>301.53, 190.09, 33.04</abs-coor>
-    </SpaceShip>
--->
     <SkyBox>
       <name>Sky</name>
@@ -212,7 +159,8 @@
     </MovieEntity>
 
+  </WorldEntities>
+
   <Music>sound/music/allgorythm-once_upon_a_time_in_a_small_club.ogg</Music>
 
-  </WorldEntities>
     <LightManager>
     <Lights>